Bug 871000 - kernel panic: BUG: unable to handle kernel NULL pointer dereference at 0000000000000738 in run+0x258/0x580 [raid10]
kernel panic: BUG: unable to handle kernel NULL pointer dereference at 000000...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jonathan Earl Brassow
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-29 07:25 EDT by Marian Csontos
Modified: 2015-02-17 09:32 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:32:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marian Csontos 2012-10-29 07:25:22 EDT
Description of problem:
when running lvm test suite on rawhide (kernel 3.7.0-0.rc4.2) raid10 test resulted in the panic:

Version-Release number of selected component (if applicable):
- kernel-3.7.0-0.rc2.git4.2.fc19
- upstream lvm - Commit: bbff143d

How reproducible:
?

Actual results:
kernel panic

Expected results:
anythnig else

Additional info:
[  518.895692] device-mapper: raid: Superblocks created for new array
[  518.911100] BUG: unable to handle kernel NULL pointer dereference at 0000000000000738
[  518.912017] IP: [<ffffffffa0131738>] run+0x258/0x580 [raid10]
[  518.912017] PGD 2a65a067 PUD 26925067 PMD 0 
[  518.912017] Oops: 0002 [#1] SMP 
[  518.912017] Modules linked in: dm_raid raid456 raid1 raid10 async_raid6_recov async_memcpy async_pq raid6_pq async_xor xor async_tx dm_thin_pool dm_persistent_data dm_bufio dm_bio_prison libcrc32c dm_log_userspace microcode i2c_piix4 virtio_net virtio_balloon virtio_blk(F) cirrus(F) drm_kms_helper(F) ttm(F) drm(F) i2c_core(F)
[  518.912017] CPU 0 
[  518.912017] Pid: 28296, comm: lvm Tainted: GF            3.7.0-0.rc2.git4.2.fc19.x86_64 #1 Red Hat KVM
[  518.950037] RIP: 0010:[<ffffffffa0131738>]  [<ffffffffa0131738>] run+0x258/0x580 [raid10]
[  518.950037] RSP: 0018:ffff88002615dba8  EFLAGS: 00010202
[  518.950037] RAX: 0000000000000000 RBX: ffff88002a1942b8 RCX: 0000000000000000
[  518.950037] RDX: 0000000000000001 RSI: 0000000000000000 RDI: 0000000000000000
[  518.950037] RBP: ffff88002615dbe8 R08: 0000000000000001 R09: ffff88002a1942b8
[  518.950037] R10: 00000000001d4b00 R11: 00000000027e7840 R12: ffff880029cb6618
[  518.950037] R13: ffff88002a1942a0 R14: 0000000000000001 R15: ffff880026f8d068
[  518.950037] FS:  00007f7b3d52d7c0(0000) GS:ffff88002d400000(0000) knlGS:0000000000000000
[  518.950037] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[  518.950037] CR2: 0000000000000738 CR3: 000000002afec000 CR4: 00000000000006f0
[  518.950037] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[  518.950037] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[  518.950037] Process lvm (pid: 28296, threadinfo ffff88002615c000, task ffff880029d98000)
[  518.950037] Stack:
[  518.950037]  ffff88002a1942b8 0000000000000000 ffff88002a194378 ffff88002a1942b8
[  518.950037]  ffff88002a1942b8 ffff88002a1942a0 ffff88002a1942b8 ffffffff81a4e218
[  518.950037]  ffff88002615dc88 ffffffff815381ef ffff88002615dc88 ffffffff816ecf63
[  518.950037] Call Trace:
[  518.950037]  [<ffffffff815381ef>] md_run+0x53f/0x960
[  518.950037]  [<ffffffff816ecf63>] ? mutex_lock_nested+0x2c3/0x390
[  518.950037]  [<ffffffffa0167f13>] ? raid_ctr+0xf03/0x11fd [dm_raid]
[  518.950037]  [<ffffffff810d327c>] ? lockdep_init_map+0xac/0x540
[  518.950037]  [<ffffffffa0167f13>] ? raid_ctr+0xf03/0x11fd [dm_raid]
[  518.950037]  [<ffffffffa0167f1c>] raid_ctr+0xf0c/0x11fd [dm_raid]
[  518.950037]  [<ffffffff81544168>] dm_table_add_target+0x198/0x460
[  518.950037]  [<ffffffff8154707d>] table_load+0xed/0x340
[  518.950037]  [<ffffffff81546f90>] ? list_devices+0x190/0x190
[  518.950037]  [<ffffffff8154864b>] ctl_ioctl+0x18b/0x2c0
[  518.950037]  [<ffffffff81548793>] dm_ctl_ioctl+0x13/0x20
[  518.950037]  [<ffffffff811e56f9>] do_vfs_ioctl+0x99/0x5a0
[  518.950037]  [<ffffffff811f1b3c>] ? fget_light+0x24c/0x520
[  518.950037]  [<ffffffff811e5c91>] sys_ioctl+0x91/0xb0
[  518.950037]  [<ffffffff81359fae>] ? trace_hardirqs_on_thunk+0x3a/0x3f
[  518.950037]  [<ffffffff816fa399>] system_call_fastpath+0x16/0x1b
[  518.950037] Code: 00 00 b8 fb ff ff ff 48 83 c4 18 5b 41 5c 41 5d 41 5e 41 5f 5d c3 0f 1f 44 00 00 45 84 f6 0f 84 1f 01 00 00 49 8b 85 30 05 00 00 <0f> ba a8 38 07 00 00 0e be ff ff ff ff 4c 89 ff e8 b3 72 ff ff 
[  518.950037] RIP  [<ffffffffa0131738>] run+0x258/0x580 [raid10]
[  518.950037]  RSP <ffff88002615dba8>
[  518.950037] CR2: 0000000000000738
[  519.163991] ---[ end trace ccf30992ebf39e7c ]---
Comment 1 Marian Csontos 2012-10-29 08:27:26 EDT
So far it's 100% reproducible (3/3)
Comment 2 Fedora End Of Life 2013-04-03 11:09:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Fedora End Of Life 2015-01-09 12:26:52 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 09:32:15 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.